Update Webhook
curl --request PUT \
--url https://api.dataspike.io/api/v3/organization/webhooks/{webhook_id} \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"is_sandbox": false,
"webhook_url": "https://dataspike.io",
"event_types": [
"AML_SCREENING"
],
"enabled": true
}
'import requests
url = "https://api.dataspike.io/api/v3/organization/webhooks/{webhook_id}"
payload = {
"is_sandbox": False,
"webhook_url": "https://dataspike.io",
"event_types": ["AML_SCREENING"],
"enabled": True
}
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_sandbox: false,
webhook_url: 'https://dataspike.io',
event_types: ['AML_SCREENING'],
enabled: true
})
};
fetch('https://api.dataspike.io/api/v3/organization/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Update Webhook
Allow to update existing webhook with specified parameters
PUT
/
api
/
v3
/
organization
/
webhooks
/
{webhook_id}
Update Webhook
Authorizations
Path Parameters
Webhook ID
Example:
"01827ed4-c928-7a3c-9a30-7ab7cc169d11"
Body
application/json
Common Webhook Request
For what environment new Webhook should be created
Your server endpoint where Dataspike service will send AML and Document Verification events
Example:
"https://dataspike.io"
Available options:
AML_SCREENING, DOCVER, TRANSACTION_MONITORING, KYT_WALLET_CHECK Example:
["AML_SCREENING"]
Set to false if you want temporarily deactivate webhook
Response
200
Webhook Updated
⌘I